<template>
<div>
    <div class="row">
     <div class="col-1"></div>
        <div class="col-10">
            <div class="card">
                <div class="card-header text-left">
                <span style="font-family:'times';font-size:150%;font-weight:bold"><i class="fa fa-edit icon-2xt " ></i> Catégorie {{libellecategorie}}</span>
                </div>
                <div class="card-body">
                 <div class="form-group row">
                 
                 <router-link to="/categorie" class="btn btn-primary" style="margin-left:2%"><i class="fas fa-align-justify icon-2xt"></i>Gerer les catégories</router-link>
                 <router-link to="/categorie-add" class="btn btn-success" style="margin-left:2%"><i class="fab fa-medrt icon-2xt " ></i> Ajouter une catégorie</router-link>
                 </div>
                    <div class="form-group row">
                    <label class="col-3 form-group" style="font-family:'times';font-size:140%" >Nom de la categorie</label>
                    <input type="text" placeholder="Nom de la categorie" class="col-6 col-mr-2 form-control" style="margin-right:1%" v-model="libellecategorie"/>
                     <button class="col-2 col-mr-2 form-control btn-primary" v-on:click="updateCategorie()" >modifier</button>
                   </div>
                </div>
            </div>
        </div>
    </div>
  
</div>
</template>

<script>


export default {
  name: 'AddCategorie',
  components: {
  }
  ,
  data(){
      return{
          libellecategorie:"",
      }
  },
  created(){
      const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ libelle: this.libellecategorie })
     };
  fetch("http://127.0.0.1:8000/api/auth/categorie/info/"+this.$route.params.id, requestOptions)
    .then(response => response.json())
    .then(data => (console.log(data),this.libellecategorie=data.data.libelle ))

  },
  methods:{

 show(status){
  if(status){
         this.$toasted.info('Suppression éffectuée avec success').goAway(2000);
     }
     else{
         this.$toasted.error('Veuillez reésayer cette catégorie existe déja').goAway(2000);
     }
 },
  showupdate(status){
     if(status){
         this.$toasted.info('Opération éffectuée avec success').goAway(2000);
     }
     else{
         this.$toasted.error('Veuillez reésayer cet élément existant').goAway(2000);
     }
 },
 handlerror(response){
     if(!response.ok){
         throw new Error(response.statusText);
     }
     return response.json()
 },
  updateCategorie(){
          const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ libelle: this.libellecategorie })
     };
  fetch("http://127.0.0.1:8000/api/auth/categorie/update/"+this.$route.params.id, requestOptions)
    .then(this.handlerror)
    .then(data => (console.log(data),this.showupdate(true) ))
    .catch(err => (this.showupdate(false),console.log(err)))
  }

   
  }
}

</script>
